import React from "react";
import PropTypes from "prop-types";
import {
  Table,
  TableBody,
  TableCell,
  TableContainer,
  TableHead,
  TableRow
} from "@material-ui/core";
import Paper from "@material-ui/core/Paper";
import MachineItem from "./MachineItem";

const MachinesList = ({ dense, machines }) => {
  return (
    <TableContainer component={Paper}>
      <Table aria-label="collapsible table" size={dense ? "small" : "medium"}>
        <TableHead>
          <TableRow>
            <TableCell />
            <TableCell>Full machine name</TableCell>
            <TableCell>Machine name</TableCell>
            <TableCell>IP</TableCell>
            <TableCell align="right">Actions</TableCell>
          </TableRow>
        </TableHead>
        <TableBody>
          {machines.map(machine => (
            <MachineItem
              key={`machine-${machine.machineId}`}
              machine={machine}
            />
          ))}
        </TableBody>
      </Table>
    </TableContainer>
  );
};

MachinesList.propTypes = {
  dense: PropTypes.bool.isRequired,
  machines: PropTypes.array.isRequired
};

export default MachinesList;
